/*
 * Academic License - for use in teaching, academic research, and meeting
 * course requirements at degree granting institutions only.  Not for
 * government, commercial, or other organizational use.
 *
 * digital_option_price_cg_initialize.c
 *
 * Code generation for function 'digital_option_price_cg_initialize'
 *
 */

/* Include files */
#include "digital_option_price_cg_initialize.h"
#include "_coder_digital_option_price_cg_mex.h"
#include "digital_option_price_cg_data.h"
#include "rt_nonfinite.h"

/* Function Declarations */
static void digital_option_price_cg_once(void);

/* Function Definitions */
static void digital_option_price_cg_once(void)
{
  mex_InitInfAndNan();
}

void digital_option_price_cg_initialize(void)
{
  emlrtStack st = {
      NULL, /* site */
      NULL, /* tls */
      NULL  /* prev */
  };
  mexFunctionCreateRootTLS();
  st.tls = emlrtRootTLSGlobal;
  emlrtBreakCheckR2012bFlagVar = emlrtGetBreakCheckFlagAddressR2022b(&st);
  emlrtClearAllocCountR2012b(&st, false, 0U, NULL);
  emlrtEnterRtStackR2012b(&st);
  if (emlrtFirstTimeR2012b(emlrtRootTLSGlobal)) {
    digital_option_price_cg_once();
  }
}

/* End of code generation (digital_option_price_cg_initialize.c) */
